﻿@{
    ViewBag.Title = "Department";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<script type="text/javascript">



    $(document).ready(function () {
        
        $("#btnSave").click(function () {
            //validation
            if ($('#txtDepartment').val().length == 0 ||
                $('#txtDepartmentCode').val().length == 0 ||
                $('#txtPIC').val().length == 0 ||
                $('#txtEmail').val().length == 0 ||
                $('#txtUsername').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var RoleList = [
                            {
                                      id:"0"
                                     , divid: '@ViewBag.RowId'
                                     , department: $('#txtDepartment').val()
                                     , departmentcode: $('#txtDepartmentCode').val()
                                     , pic: $('#txtPIC').val()
                                     , username: $('#txtUsername').val()
                                     , email: $('#txtEmail').val()
                                 }
                            ];

                            RoleList.push();

                            var formData = new FormData();
                            formData.append("DepartmentList", JSON.stringify(RoleList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveDepartment", "Organization")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("EditDivision", "Organization")'+ "?id="+'@ViewBag.RowId';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });

    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Department
        </div>
        <div class="panel-body">
            <!--Department Code-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtDepartmentCode">Department Code</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtDepartmentCode" /></div>
            </div>
            <!--Department Name-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtDepartment">Department</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtDepartment" /></div>
            </div>
            <!--PIC-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtPIC">PIC</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtPIC" /></div>
            </div>
            <!--Username-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtUsername">Username</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtUsername" /></div>
            </div>
            <!--Email-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtEmail">Email</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtEmail" /></div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("BackDepartment", "Organization") + "?id='")+@ViewBag.RowId;">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>